Bug 1368430

Summary: Gsmartcontrol doesn't start
Product: [Fedora] Fedora Reporter: jeremy9856
Component: gsmartcontrolAssignee: Eric Smith <spacewar>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 25CC: spacewar, vascom2, yselkowi
Target Milestone: ---Flags: yselkowi: needinfo? (spacewar)
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: gsmartcontrol-0.8.7-10.fc25 gsmartcontrol-0.8.7-10.fc24 gsmartcontrol-0.8.7-10.fc23 gsmartcontrol-0.8.7-10.el6 gsmartcontrol-0.8.7-10.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-10-09 02:48:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description jeremy9856 2016-08-19 11:19:00 UTC
Hello,

Gsmartcontrol doesn't start from gnome-shell overview. No error message. But it start from a terminal. When launched from a terminal it ask for root permission. Maybe it's the problem, I don't know.

Thanks !

Comment 1 jeremy9856 2016-08-27 12:13:23 UTC
I tried from KDE and it don't start too.

Comment 2 Yaakov Selkowitz 2016-09-16 20:00:16 UTC
Works for me on several desktops.  Do you have consolehelper-gtk installed?

Comment 3 Yaakov Selkowitz 2016-09-16 20:01:23 UTC
(In reply to Yaakov Selkowitz from comment #2)
> Works for me on several desktops.  Do you have consolehelper-gtk installed?

(The command is named consolehelper-gtk but the package is usermode-gtk.)

Comment 4 jeremy9856 2016-09-16 20:44:52 UTC
It work with usermode-gtk installed ! Why it was not installed ?
Don't know if it's related bu I use "install_weak_deps=False" in "/etc/dnf/dnf.conf" but don't remember why :D

Thanks !

Comment 5 Yaakov Selkowitz 2016-09-16 21:04:01 UTC
(In reply to jeremy9856 from comment #4)
> It work with usermode-gtk installed ! Why it was not installed ?
> Don't know if it's related bu I use "install_weak_deps=False" in
> "/etc/dnf/dnf.conf" but don't remember why :D

Yes, I believe that is related.

The question therefore remains if gsmartcontrol, as a GUI package, should Requires: usermode-gtk instead of just usermode.  I believe it should.

Comment 6 jeremy9856 2016-09-24 09:44:23 UTC
It seems that Eric Smith, the maintainer, don't care anymore of this package. He don't answer here and I tried on the mailing list and no one answered too...

Comment 7 Vasiliy Glazov 2016-09-28 06:47:42 UTC
Please check this build for F25 http://koji.fedoraproject.org/koji/taskinfo?taskID=15841299
If you need other version (for F24 etc) just say.

If all OK I am build it for all supported Fedora releases and add to repo.

Comment 8 jeremy9856 2016-09-28 07:58:23 UTC
Thank you very much Vasiliy for taking care of this ! I'm still on F24 so I will be pleased if you can make a F24 build :)

Comment 9 Vasiliy Glazov 2016-09-28 08:21:29 UTC
Done for F24 http://koji.fedoraproject.org/koji/taskinfo?taskID=15842568

Comment 10 Vasiliy Glazov 2016-09-28 08:26:57 UTC
Sorry, there mistake in dependency name. Please check http://koji.fedoraproject.org/koji/taskinfo?taskID=15842648

Comment 11 jeremy9856 2016-09-28 08:39:54 UTC
That work ! Thanks :D

Comment 12 Fedora Update System 2016-09-28 20:52:31 UTC
gsmartcontrol-0.8.7-10.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b477746297

Comment 13 Fedora Update System 2016-09-29 01:19:40 UTC
gsmartcontrol-0.8.7-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-a78cb277e2

Comment 14 Fedora Update System 2016-09-29 01:52:42 UTC
gsmartcontrol-0.8.7-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-824e8f359c

Comment 15 Fedora Update System 2016-09-29 02:49:56 UTC
gsmartcontrol-0.8.7-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-17b9487ad3

Comment 16 Fedora Update System 2016-09-29 10:16:11 UTC
gsmartcontrol-0.8.7-10.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4475d896ad

Comment 17 Fedora Update System 2016-10-09 02:48:30 UTC
gsmartcontrol-0.8.7-10.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-10-09 06:21:20 UTC
gsmartcontrol-0.8.7-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-10-09 09:22:55 UTC
gsmartcontrol-0.8.7-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-10-14 05:46:20 UTC
gsmartcontrol-0.8.7-10.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-10-21 15:53:35 UTC
gsmartcontrol-0.8.7-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.